<?php
if ( !defined( 'ABSPATH' ) ) exit;
class TFL_Script {
	function __construct() {
		add_action( 'wp_enqueue_scripts', array($this, 'tfl_front_style') );		
		add_action( 'wp_enqueue_scripts', array($this, 'tfl_plugin_script') );		
	}
	function tfl_front_style() {	
		wp_enqueue_style( 'slick', ZURO_PLG_PATH .'assets/css/slick.css' );	
		wp_enqueue_style( 'magnific-popup', ZURO_PLG_PATH .'assets/css/magnific-popup.css' );	
		wp_enqueue_style( 'slick', ZURO_PLG_PATH .'assets/css/photoswipe.css' );	
		wp_enqueue_style( 'default-skin', ZURO_PLG_PATH .'assets/css/default-skin.min.css' );
	}
	function tfl_plugin_script() {
		wp_register_script( 'counterup', ZURO_PLG_PATH.'assets/js/jquery.counterup.min.js', array('jquery'), '', true  );	
		wp_register_script( 'isotope', ZURO_PLG_PATH.'assets/js/isotope.js', array('jquery'), '', true  );
		wp_register_script( 'slick', ZURO_PLG_PATH.'assets/js/slick.min.js', array('jquery'), '', true  );
		wp_register_script( 'fullpage', ZURO_PLG_PATH.'assets/js/fullpage.min.js', array('jquery'), '', true  );
		
		wp_register_script( 'matchHeight', ZURO_PLG_PATH.'assets/js/jquery.matchHeight.js', array('jquery'), '', true  );

		wp_register_script( 'magnific-popup', ZURO_PLG_PATH.'assets/js/magnific.popup.min.js', array('jquery'), '', true  );
		wp_register_script( 'photoswipe-ui', ZURO_PLG_PATH.'assets/js/photoswipe-ui-default.js', array('jquery'), '', true  );
		wp_register_script( 'photoswipe', ZURO_PLG_PATH.'assets/js/photoswipe.min.js', array('jquery'), '', true  );
		wp_register_script( 'waypoints', ZURO_PLG_PATH.'assets/js/waypoints.min.js', array('jquery'), '', true  );
		wp_register_script('maps-apiv3', ZURO_PLG_PATH . "assets/js/maps.js",array(),'');
		wp_enqueue_script( 'tfl-shortcodes', ZURO_PLG_PATH . 'assets/js/shortcodes.js', array(), '' ,true);
		// wp_enqueue_script( 'lazysizes', ZURO_PLG_PATH . 'assets/js/lazysizes.min.js', array(), '' ,true);
	}	
}
$tfl_script = new TFL_Script();